summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Bermond2019-02-03 19:16:06 +0000
committerDaniel Bermond2019-02-03 19:16:06 +0000
commit393c09b538ac1968a85ec70e964c4abeee1f421c (patch)
treec9d5c2adb167d1caa778601035cde1f2acfa4978
parent8c1bfb244d96a342c7e5c7f0229c3804f00e928e (diff)
downloadaur-393c09b538ac1968a85ec70e964c4abeee1f421c.tar.gz
Updated to version 418.30
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD12
2 files changed, 15 insertions, 15 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 31a67e4dd97..3becde5ca6d 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,15 +1,15 @@
pkgbase = nvidia-utils-beta
pkgdesc = NVIDIA driver utilities and libraries (beta version)
- pkgver = 415.27
+ pkgver = 418.30
pkgrel = 1
url = https://www.nvidia.com/
arch = x86_64
license = custom:NVIDIA
options = !strip
- source = https://us.download.nvidia.com/XFree86/Linux-x86_64/415.27/NVIDIA-Linux-x86_64-415.27-no-compat32.run
+ source = https://us.download.nvidia.com/XFree86/Linux-x86_64/418.30/NVIDIA-Linux-x86_64-418.30-no-compat32.run
source = nvidia-drm-outputclass.conf
source = nvidia-utils-beta.sysusers
- sha256sums = 0882f8e8fb3110c180edffeca23b49600bf11dd62ef72eb5db1cf9acb4fa8ccf
+ sha256sums = da5ff351869694561bdf53260f8212dde76e885333d8967e7d633084e032cf1f
sha256sums = 089d6dc247c9091b320c418b0d91ae6adda65e170934d178cdd4e9bd0785b182
sha256sums = d8d1caa5d72c71c6430c2a0d9ce1a674787e9272ccce28b9d5898ca24e60a167
@@ -22,9 +22,9 @@ pkgname = nvidia-utils-beta
optdepends = gtk3: nvidia-settings (GTK+ v3)
optdepends = opencl-nvidia-beta: OpenCL support
optdepends = xorg-server-devel: nvidia-xconfig
- optdepends = egl-wayland-git: for alternative, more advanced Wayland library (libnvidia-egl-wayland.so.1.1.0)
- provides = nvidia-utils=415.27
- provides = nvidia-settings=415.27
+ optdepends = egl-wayland-git: for alternative, more advanced Wayland library (libnvidia-egl-wayland.so.1.1.2)
+ provides = nvidia-utils=418.30
+ provides = nvidia-settings=418.30
provides = libglvnd
provides = vulkan-driver
conflicts = nvidia-utils
@@ -32,7 +32,7 @@ pkgname = nvidia-utils-beta
conflicts = libglvnd
pkgname = nvidia-egl-wayland-beta
- pkgdesc = NVIDIA EGL Wayland library (libnvidia-egl-wayland.so.1.1.0) for 'nvidia-utils-beta'
+ pkgdesc = NVIDIA EGL Wayland library (libnvidia-egl-wayland.so.1.1.2) for 'nvidia-utils-beta'
depends = nvidia-utils-beta
provides = egl-wayland
conflicts = egl-wayland
@@ -40,7 +40,7 @@ pkgname = nvidia-egl-wayland-beta
pkgname = nvidia-libgl-beta
pkgdesc = NVIDIA driver library symlinks for 'nvidia-utils-beta'
depends = nvidia-utils-beta
- provides = nvidia-libgl=415.27
+ provides = nvidia-libgl=418.30
provides = libgl
provides = libegl
provides = libgles
@@ -53,7 +53,7 @@ pkgname = opencl-nvidia-beta
pkgdesc = NVIDIA's OpenCL implemention for 'nvidia-utils-beta'
depends = zlib
optdepends = opencl-headers: headers necessary for OpenCL development
- provides = opencl-nvidia=415.27
+ provides = opencl-nvidia=418.30
provides = opencl-driver
conflicts = opencl-nvidia
diff --git a/PKGBUILD b/PKGBUILD
index a1c16855c3e..67b7191ee4f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,7 +6,7 @@
pkgbase=nvidia-utils-beta
pkgname=('nvidia-utils-beta' 'nvidia-egl-wayland-beta' 'nvidia-libgl-beta' 'opencl-nvidia-beta')
-pkgver=415.27
+pkgver=418.30
pkgrel=1
pkgdesc='NVIDIA driver utilities and libraries (beta version)'
arch=('x86_64')
@@ -17,11 +17,11 @@ _pkg="NVIDIA-Linux-${CARCH}-${pkgver}-no-compat32"
source=("https://us.download.nvidia.com/XFree86/Linux-${CARCH}/${pkgver}/${_pkg}.run"
'nvidia-drm-outputclass.conf'
'nvidia-utils-beta.sysusers')
-sha256sums=('0882f8e8fb3110c180edffeca23b49600bf11dd62ef72eb5db1cf9acb4fa8ccf'
+sha256sums=('da5ff351869694561bdf53260f8212dde76e885333d8967e7d633084e032cf1f'
'089d6dc247c9091b320c418b0d91ae6adda65e170934d178cdd4e9bd0785b182'
'd8d1caa5d72c71c6430c2a0d9ce1a674787e9272ccce28b9d5898ca24e60a167')
-_eglver=1.1.0
+_eglver=1.1.2
# create missing soname links
_create_links() {
@@ -144,9 +144,6 @@ package_nvidia-utils-beta() {
ln -s "libglxserver_nvidia.so.${pkgver}" "${pkgdir}/usr/lib/nvidia/xorg/libglxserver_nvidia.so.1" # X doesn't find glx otherwise
ln -s "libglxserver_nvidia.so.${pkgver}" "${pkgdir}/usr/lib/nvidia/xorg/libglxserver_nvidia.so" # X doesn't find glx otherwise
- # X wrapped software rendering
- install -D -m755 "libnvidia-wfb.so.${pkgver}" -t "${pkgdir}/usr/lib"
-
# libGL & OpenGL
install -D -m755 libGL.so.1.7.0 -t "${pkgdir}/usr/lib/nvidia"
install -D -m755 libGLdispatch.so.0 -t "${pkgdir}/usr/lib"
@@ -217,6 +214,9 @@ package_nvidia-utils-beta() {
# OptiX ray tracing engine
install -D -m755 "libnvoptix.so.${pkgver}" -t "${pkgdir}/usr/lib"
+ # Optical Flow
+ install -D -m755 "libnvidia-opticalflow.so.${pkgver}" -t "${pkgdir}/usr/lib"
+
_create_links
##### BINARIES AND MANPAGES #####